# Generator

@Incubating
open class Generator

Configuration-cache compatible signature generator.

#### Since

8.1

## Constructors

Generator
Link copied to clipboard
constructor(signatureType: SignatureType, signatory: Signatory, toSign: File)

## Properties

toSign
Link copied to clipboard
@get:PathSensitive(value = PathSensitivity.NONE)
@get:InputFile
val toSign: File

## Functions

generate
Link copied to clipboard
open fun generate()
getFile
Link copied to clipboard
@OutputFile
open fun getFile(): File